curl https://api.goshippo.com/user-parcel-templates/b958d3690bb04bb8b2986724872750f5 \
-H "Authorization: ShippoToken <API_TOKEN>" \
-H "Content-Type: application/json"
-d '{
"name": "My Custom Template",
"length": "10",
"width": "8",
"height": "6",
"distance_unit": "in",
"weight": "12",
"weight_unit": "lb"
}'{
"distance_unit": "in",
"height": "6",
"length": "10",
"name": "My Custom Template",
"weight": "12",
"weight_unit": "lb",
"width": "8",
"object_created": "2013-12-11T19:38:09.729Z",
"object_id": "b958d3690bb04bb8b2986724872750f5",
"object_owner": "shippotle@shippo.com",
"object_updated": "2013-12-12T19:38:09.729Z",
"template": {
"carrier": "FedEx",
"distance_unit": "in",
"height": "1.5",
"is_variable_dimensions": false,
"length": "12.375",
"name": "FedEx® Small Box (S1)",
"token": "FedEx_Box_Small_1",
"width": "10.875"
}
}Updates an existing user parcel template.
curl https://api.goshippo.com/user-parcel-templates/b958d3690bb04bb8b2986724872750f5 \
-H "Authorization: ShippoToken <API_TOKEN>" \
-H "Content-Type: application/json"
-d '{
"name": "My Custom Template",
"length": "10",
"width": "8",
"height": "6",
"distance_unit": "in",
"weight": "12",
"weight_unit": "lb"
}'{
"distance_unit": "in",
"height": "6",
"length": "10",
"name": "My Custom Template",
"weight": "12",
"weight_unit": "lb",
"width": "8",
"object_created": "2013-12-11T19:38:09.729Z",
"object_id": "b958d3690bb04bb8b2986724872750f5",
"object_owner": "shippotle@shippo.com",
"object_updated": "2013-12-12T19:38:09.729Z",
"template": {
"carrier": "FedEx",
"distance_unit": "in",
"height": "1.5",
"is_variable_dimensions": false,
"length": "12.375",
"name": "FedEx® Small Box (S1)",
"token": "FedEx_Box_Small_1",
"width": "10.875"
}
}API key authentication using the ShippoToken scheme. Format: Authorization: ShippoToken <API_TOKEN> Example: Authorization: ShippoToken shippo_live_abc123
Optional string used to pick a non-default API version to use. See our API version guide.
"2018-02-08"
Object ID of the user parcel template
The measure unit used for length, width and height. Required, but if using a preset carrier template then this field must be empty.
cm, in, ft, m, mm, yd "in"
The height of the package, in units specified by the distance_unit attribute. Required, but if using a preset carrier template then this field must be empty.
"6"
The length of the package, in units specified by the distance_unit attribute. Required, but if using a preset carrier template then this field must be empty.
"10"
The name of the User Parcel Template
"My Custom Template"
The width of the package, in units specified by the distance_unit attribute. Required, but if using a preset carrier template then this field must be empty.
"8"
The weight of the package, in units specified by the weight_unit attribute.
"12"
The unit used for weight.
g, kg, lb, oz "lb"
User parcel template
The measure unit used for length, width and height. Required, but if using a preset carrier template then this field must be empty.
cm, in, ft, m, mm, yd "in"
The height of the package, in units specified by the distance_unit attribute. Required, but if using a preset carrier template then this field must be empty.
"6"
The length of the package, in units specified by the distance_unit attribute. Required, but if using a preset carrier template then this field must be empty.
"10"
The name of the User Parcel Template
"My Custom Template"
The weight of the package, in units specified by the weight_unit attribute.
"12"
The unit used for weight.
g, kg, lb, oz "lb"
The width of the package, in units specified by the distance_unit attribute. Required, but if using a preset carrier template then this field must be empty.
"8"
Date and time of User Parcel Template creation
"2013-12-11T19:38:09.729Z"
Unique identifier of the given User Parcel Template object
"b958d3690bb04bb8b2986724872750f5"
Username of the user who created the User Parcel Template object
"shippotle@shippo.com"
Date and time of last update on User Parcel Template
"2013-12-12T19:38:09.729Z"
Show child attributes
Was this page helpful?